
OBJECTS = sahtrace.o

TARGET = libsahtrace

CFLAGS +=  -g -Wall -W -fPIC -I../include -I$(STAGINGDIR)/include

LDFLAGS += -lrt


all: $(TARGET).so

$(TARGET).so: $(OBJECTS)
	$(CC) -Wl,-soname,$(@) -shared -fPIC $(LDFLAGS) -o $(@) $(OBJECTS)

-include $(OBJECTS:.o=.d)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<
	@$(CC) $(CFLAGS) -MM -MP -MT '$(@) $(@:.o=.d)' -MF $(@:.o=.d) $(<)

clean:
	rm -f $(OBJECTS) $(TARGET).so *.d

.PHONY: clean
